<?php 
class WPJCE_ProductPage
{
	function __construct()
	{
		add_action( 'add_meta_boxes_product', array( &$this, 'add_custom_meta_boxes' ) );
		//Ued the one defined int WPJCE_PostPage
		//add_action( 'save_post', array( &$this, 'process_meta_boxes_data_on_save' ), 999, 2 ); 
	}
	function process_meta_boxes_data_on_save( $code_id, $code_obj ) 
	{
		global $wpjce_code_model;
	
		//Only is save is made by admin page takes place
		if ( !isset( $_POST['wpjce_admin_action'] ) || !wp_verify_nonce( $_POST['wpjce_admin_action'], 'wpjce_code_edit' ) ) 
			return;
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
        return;
		// AJAX? Not used here
		if ( defined( 'DOING_AJAX' ) && DOING_AJAX ) 
				return;
		if($code_obj->post_type != 'wpjce_custom_code' || wpjce_get_value_if_set($_POST, 'wpjce', false) == false)
			return;
		
		/* $wpjce_code_model->remove_all_attributes($code_id);
		foreach($_POST['wpjce'] as $attribute_name => $value)
			$wpjce_code_model->update_attribute($code_id, $attribute_name, $value); */
			
			
		//wp_die();
	}
	function add_custom_meta_boxes() 
	{
		global $post, $wpjce_code_model, $wpjce_html_helper;
		
		add_meta_box( 'wpjce-js-box', __('WordPress JS & CSS Everywhere! - JS Code', 'wp-js-css-everywhere'), array( &$wpjce_html_helper, 'render_js_editor_box' ), 'product', 'normal');
		add_meta_box( 'wpjce-css-box', __('WordPress JS & CSS Everywhere! - CSS Code', 'wp-js-css-everywhere'), array( &$wpjce_html_helper, 'render_css_editor_box' ), 'product', 'normal');
		add_meta_box( 'wpjce-external-box', __('WordPress JS & CSS Everywhere! - External code', 'wp-js-css-everywhere'), array( &$wpjce_html_helper, 'render_external_code_box' ), 'product', 'normal');
		//add_meta_box( 'wpjce-position-selector-box', __('Position', 'wp-js-css-everywhere'), array( &$wpjce_html_helper, 'render_position_box' ), 'product', 'side');
	}
}
?>