<?php 
function wpjce_get_value_if_set($data, $nested_indexes, $default)
{
	if(!isset($data))
		return $default;
	
	$nested_indexes = is_array($nested_indexes) ? $nested_indexes : array($nested_indexes);
	//$current_value = null;
	foreach($nested_indexes as $index)
	{
		if(!isset($data[$index]))
			return $default;
		
		$data = $data[$index];
		//$current_value = $data[$index];
	}
	
	return $data;
}
function wpjce_starts_with($haystack, $needle)
{
     $length = strlen($needle);
     return $haystack == $needle || (substr($haystack, 0, $length) === $needle);
}

function wpjce_ends_with($haystack, $needle)
{
    $length = strlen($needle);
	 
    return $length === 0 || $haystack == $needle ||
    (substr($haystack, -$length) === $needle);
}
function wpjce_get_file_type_by_url($url)
{
	$url = strtolower($url);
	if(wpjce_ends_with($url, ".css"))
		return "css";
	else if(wpjce_ends_with($url, ".js"))
		return "javascript";
	return "none";
}
function wpjce_get_current_url()
{
	return (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]"; //home_url( $wp->request );
}
function wpjce_myme_types($mime_types)
{
    $mime_types['js'] = 'text/plain';
    $mime_types['css'] = 'application/octet-stream'; 
    return $mime_types;
}
add_filter('upload_mimes', 'wpjce_myme_types');
?>