jQuery(document).ready(function()
{
   jQuery(document).on('click', '#wpce-add-external-file-button', wpjce_load_attachment);
   jQuery(document).on('click', '#wpce-add-remote-file-button', wpjce_add_remote_file_link);
   jQuery(document).on('click', '.wpjce-code-container-remove-button', wcqpe_remove_attachement);
   
   String.prototype.replaceAll = function(search, replacement) {
		var target = this;
		return target.replace(new RegExp(search, 'g'), replacement);
	};
}); 
function wpjce_add_remote_file_link(event)
{
	event.preventDefault();
	event.stopImmediatePropagation();
	
	var template = wpjce.template_js_external_code_remote_link;
	var unique_id = Math.floor((Math.random() * 999999) + 1);
	
	var url = prompt(wpjce.enter_url_text);
	var type = wpjec_get_file_type(url);
	
	if (type == null || type == "" || type =="none") 
	{
	  alert(wpjce.url_type_error);
	  return false;
	} 	
	
	template = template.replaceAll("%type%", wpjec_get_file_type(url));
	template = template.replaceAll("%url%", url);
	template = template.replaceAll("%value%", url);
	template = template.replaceAll("%unique_id%", unique_id);
	template = template.replaceAll("%remove_button_text%", wpjce.remove_button_text);
	template = template.replaceAll("%header_is_selected%", "");
	template = template.replaceAll("%footer_is_selected%", "");
	
	jQuery('#wpjce-external-files-container').append(template);
	return false;
	
}
function wpjce_load_attachment(event)
{
	event.preventDefault();
	event.stopImmediatePropagation();
	
	var file_frame; 
	var file_frame_watermark; 
  
	//curr_id = jQuery(this).data('id');
    event.preventDefault();

    // If the media frame already exists, reopen it.
    if ( file_frame ) {
      file_frame.open();
      return;
    }

    // Create the media frame.
    file_frame = wp.media.frames.file_frame = wp.media({
     /*  title: jQuery( this ).data( 'uploader_title' ),
      button: {
        text: jQuery( this ).data( 'uploader_button_text' ),
      }, */
	  library : {
			type : ['text/css', 'application/javascript', 'text/plain'],
	  },
      multiple: false  // Set to true to allow multiple files to be selected
    });

    file_frame.on( 'select', function() 
	{
		var selection = file_frame.state().get('selection');
	 	selection.map( function( attachment ) 
		{
		  attachment = attachment.toJSON();
		  wpjce_external_code_preview(attachment.id, attachment.url);
		  //current_index++;
		});
    });
    file_frame.open();
	
	return false;
}
function wpjce_external_code_preview(id, url)
{
	var template = wpjce.template_js_external_code;
	var unique_id = Math.floor((Math.random() * 999999) + 1);
	template = template.replaceAll("%type%", wpjec_get_file_type(url));
	template = template.replaceAll("%url%", url);
	template = template.replaceAll("%id%", id);
	template = template.replaceAll("%unique_id%", unique_id);
	template = template.replaceAll("%remove_button_text%", wpjce.remove_button_text);
	template = template.replaceAll("%header_is_selected%", "");
	template = template.replaceAll("%footer_is_selected%", "");
	
	jQuery('#wpjce-external-files-container').append(template);
	/* jQuery('#wpjce-external-files-container').append('<div class="wpjce-code-preview-container">'+
														'<span class="wpjce-code-url-preview wpjce-preview-type-'+wpjec_get_file_type(url)+'">'+url+'</span>'+
														'<input type="hidden" class="wpjce-code-preview-url" name="wpjce[external-code-id][]" value="'+id+'"></input>'+
														'<button class="button wpjce-code-container-remove-button wpjce_remove_button">'+wpjce.remove_button_text+'</button>'+
													 '</div>'); */
}
function wpjec_get_file_type(url)
{
	url = url.toLowerCase();
	if(url.endsWith(".css"))
		return "css";
	else if(url.endsWith(".js"))
		return "javascript";
	return "none";
}
function wcqpe_remove_attachement(event)
{
	if(event!=null)
		event.preventDefault();
	jQuery(event.currentTarget).parent().remove();
	
	return false;
}