jQuery(document).ready(function()
{
	wpjce_init_editors();
	
	jQuery(document).on('click','#wpce-add-new-page-filter-button', wpjce_load_page_type_options)
});
function wpjce_init_editors()
{
	/* if(wpjce.is_gutenberg_active == 'true')
		return;
	var css_editor = CodeMirror.fromTextArea(document.getElementById("wpjce-css-code"), {
        extraKeys: {"Ctrl-Space": "autocomplete"},
		mode:  "css",
		lineNumbers: true
      });
	  
	var js_editor = CodeMirror.fromTextArea(document.getElementById("wpjce-js-code"), {
        extraKeys: {"Ctrl-Space": "autocomplete"},
		mode:  "javascript",
		lineNumbers: true,
		// smartIndent: false 
      }); */
	const editor_js = ace.edit("wpjce-js-code", {
		mode: "ace/mode/javascript",
		highlightSelectedWord: true,
		fontSize: 14,
		selectionStyle: "text"
	});
    editor_js.setTheme("ace/theme/textmate"); //monokai
    editor_js.session.setMode("ace/mode/javascript");
    editor_js.resize();
	//hidden
	var hidden_js_textarea = jQuery('#wpjce-js-code-hidden');
	editor_js.getSession().on("change", function () {
		hidden_js_textarea.val(editor_js.getSession().getValue());
	});
	
	const editor_css = ace.edit("wpjce-css-code", {
		mode: "ace/mode/css",
		highlightSelectedWord: true,
		fontSize: 14,
		selectionStyle: "text"
	});
    editor_css.setTheme("ace/theme/textmate"); //monokai
    editor_css.session.setMode("ace/mode/css");
	//hidden
	var hidden_css_textarea = jQuery('#wpjce-css-code-hidden');
	editor_css.getSession().on("change", function () {
		hidden_css_textarea.val(editor_css.getSession().getValue());
	});
	
	jQuery("#wpjce-external-files-container").sortable({ handle: '.handle' });
	jQuery("#wpjce-external-files-container").disableSelection();
}
function wpjec_on_loading_data()
{
	jQuery('#wpce-add-new-page-filter-button').prop('disabled', true);
	jQuery('#wpce-add-new-page-filter-spinner').css('visibility', 'inherit');
}
function wpjec_on_end_loading_data()
{
	jQuery('#wpce-add-new-page-filter-button').prop('disabled', false);
	jQuery('#wpce-add-new-page-filter-spinner').css('visibility', 'hidden');
}
function wpjce_load_page_type_options(event)
{
	event.preventDefault();
	event.stopImmediatePropagation();
	
	var formData = new FormData();
	formData.append('action', 'wpjce_add_new_page_filter'); 
	
	//UI
	wpjec_on_loading_data();
	
	jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: formData,
		async: true,
		success: function (data) 
		{
			//UI
			wpjec_on_end_loading_data();
			
			jQuery('#wpjce-page-filters-container').append(data);
			
		},
		error: function (data) 
		{
			//console.log(data);
			//alert("Error: "+data);
		},
		cache: false,
		contentType: false,
		processData: false
	});
	
	return false;
}