jQuery(document).ready(function()
{
	jQuery(document).on('change', '.wpjce-page-type-selector', wpjce_on_page_type_selection);
	jQuery(document).on('click', '.wpjce_page_filter_remove_button', wpjce_remove_filter);
});
function wpjce_on_page_type_selection(event)
{
	
	var id = jQuery(event.currentTarget).data('id');
	var value = jQuery(event.currentTarget).val();
	var formData = new FormData();
	formData.append('action', 'wpjce_load_page_selector'); 
	formData.append('page_type', value); 
	
	//UI 
	jQuery(event.currentTarget).prop('disabled', true);
	wpjec_on_loading_data();
	
	
	jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: formData,
		async: true,
		success: function (data) 
		{
			//UI
			jQuery(event.currentTarget).prop('disabled', false);
			wpjec_on_end_loading_data();
			
			jQuery('#wpjce-page-filter-result-'+id).html(data);
			wpjce_init_post_ajax_loader();
			
		},
		error: function (data) 
		{
			//console.log(data);
			//alert("Error: "+data);
		},
		cache: false,
		contentType: false,
		processData: false
	});  
}
function wpjce_remove_filter(event)
{
	event.preventDefault();
	event.stopImmediatePropagation();
	
	jQuery(event.currentTarget).parent().parent().empty();
	
	return false;
}